Bug 89848 - Escape characters displayed when viewing man pages from telnet window
Summary: Escape characters displayed when viewing man pages from telnet window
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: groff (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-28 21:19 UTC by Rick Paulson
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-08 11:01:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rick Paulson 2003-04-28 21:19:16 UTC
Description of problem: Escape charaters show when viewing man pages through a 
telnet window.


Version-Release number of selected component (if applicable): Red Hat 8.0


How reproducible: Use telnet to access RH 8.0 system, then run man gcc, for 
example


Steps to Reproduce:
1.
2.
3.
    
Actual results: Escape characters show


Expected results: No escape characters


Additional info:

Comment 1 Harald Hoyer 2003-04-29 08:29:42 UTC
this is more a unicode / utf-8 / groff problem than the one of telnet...

Comment 2 Milan Kerslager 2003-05-22 12:26:45 UTC
At first: what locale do you use? What kind of application you use to connect 
to the RH server? Try to post output of command:

locale

Yes, there are some troubel to pass some UTF-8 characters through groff but it 
does not seem to handle escape sequence badly (at least on my system). Try to 
use PuTTY (with ssh connection) and propef font and proper character conversion 
for your language:

http://www.chiark.greenend.org.uk/~sgtatham/putty/

Comment 3 Thomas Woerner 2004-03-08 11:01:14 UTC
Closed due to user inactivity.


Note You need to log in before you can comment on or make changes to this bug.